=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with maven-repo-helper

override_dh_auto_build:
	dh_auto_build -- -f debian/build.xml jar

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_build -- -f debian/build.xml test
endif

override_dh_auto_clean:
	dh_auto_build -- -f debian/build.xml clean
